Subject: (ngtrans) NAT-PT: DNS ALG question

From: "Suresh Satapati" <[email-masked]>
Date: Wed, 27 Jun 2001 02:26:22

Hi,

I wanted to know what would be the correct behavior for the following
scenario.

An IPv6 client host sends a AAAA query, thru NAT-PT, to a DNS server in IPv4 
cloud. NAT-PT RFC says that a AAAA need to be sent untranslated, along with 
a translated 'A' query. If the DNS server has
AAAA records to reply, the additional records may end up having 'A'
records (or IPv4 addresses). These would make no sense to the IPv6 client. 
Should NAT-PT also translate such records, to convert A to AAAA ? The RFC 
really doesnt say anything like that.

Thanks
Suresh
_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com